<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
	$this->down();

	Schema::create('users', function (Blueprint $table) {
		$table->increments('id');
		$table->timestamps();
		$table->string('login',8)->unique();
		$table->string('password');
		$table->string('name');
		$table->string('email')->unique();
		$table->string('location');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
